Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class BaseXTagWithEvents

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  BaseInputXTag, CheckOption, DateTag, SelectTag

public abstract class BaseXTagWithEvents
extends BaseXTag

Clase base para los elementos de un formulario html. Esta clase no implementa los métodos doStartTag() y doEndTag() que deben ser implementados por las subclases.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseXTagWithEvents()`

Method Summary
`java.lang.String` | `getAccesskey()` Devuelve la tecla de acceso
`boolean` | `getDisabled()` Devuelve si el control está deshabilitado
`java.lang.String` | `getOnblur()` Devuelve el manejador del evento onBlur
`java.lang.String` | `getOnchange()` Devuelve el manejador del evento onChange
`java.lang.String` | `getOnclick()` Devuelve el manejador del evento onClick
`java.lang.String` | `getOndblclick()` Devuelve el manejador del evento onDblClick
`java.lang.String` | `getOnfocus()` Devuelve el manejador del evento onFocus
`java.lang.String` | `getOnkeydown()` Devuelve el manejador del evento onKeyDown
`java.lang.String` | `getOnkeypress()` Devuelve el manejador del evento onKeyPress
`java.lang.String` | `getOnkeyup()` Devuelve el manejador del evento onKeyUp
`java.lang.String` | `getOnmousedown()` Devuelve el manejador del evento onMouseDown
`java.lang.String` | `getOnmousemove()` Devuelve el manejador del evento onMouseMove
`java.lang.String` | `getOnmouseout()` Devuelve el manejador del evento onMouseOut
`java.lang.String` | `getOnmouseover()` Devuelve el manejador del evento onMouseOver
`java.lang.String` | `getOnmouseup()` Devuelve el manejador del evento onMouseUp
`java.lang.String` | `getOnselect()` Establece el manejador del evento onSelect
`boolean` | `getReadonly()` Devuelve si el control es de solo lectura
`java.lang.String` | `getStyle()` Devuelve el estilo inline en el tag
`java.lang.String` | `getStyleClass()` Devuelve el nombre de la clase (css)
`java.lang.String` | `getTabindex()` Devuelve el índice de tabulación
`java.lang.String` | `getTitle()` Establece el titulo del tag param x: El titulo del tag
`void` | `release()` \ | METODOS DE BODYTAG | \
`void` | `setAccesskey(java.lang.String x)` Establece la tecla de acceso
`void` | `setDisabled(boolean x)` Establece si el control está deshabilitado param x: true si el control esta deshabilitado
`void` | `setOnblur(java.lang.String x)` Establece el manejador del evento onBlur param x: La función a ejecutar
`void` | `setOnchange(java.lang.String x)` Establece el manejador del evento onChange param x: La función a ejecutar
`void` | `setOnclick(java.lang.String x)` Establece el manejador del evento onClick param x: La función a ejecutar
`void` | `setOndblclick(java.lang.String x)` Establece el manejador del evento onDblClick param x: La función a ejecutar
`void` | `setOnfocus(java.lang.String x)` Establece el manejador del evento onFocus param x: La función a ejecutar
`void` | `setOnkeydown(java.lang.String x)` Establece el manejador del evento onKeyDown param x: La función a ejecutar
`void` | `setOnkeypress(java.lang.String x)` Establece el manejador del evento onKeyPress param x: La función a ejecutar
`void` | `setOnkeyup(java.lang.String x)` Establece el manejador del evento onKeyUp param x: La función a ejecutar
`void` | `setOnmousedown(java.lang.String x)` Establece el manejador del evento onMouseDown param x: La función a ejecutar
`void` | `setOnmousemove(java.lang.String x)` Establece el manejador del evento onMouseMove param x: La función a ejecutar
`void` | `setOnmouseout(java.lang.String x)` Establece el manejador del evento onMouseOut param x: La función a ejecutar
`void` | `setOnmouseover(java.lang.String x)` Establece el manejador del evento onMouseOver param x: La función a ejecutar
`void` | `setOnmouseup(java.lang.String x)` Establece el manejador del evento onMouseUp param x: La función a ejecutar
`void` | `setOnselect(java.lang.String x)` Establece el manejador del evento onSelect param x: La función a ejecutar
`void` | `setReadonly(boolean x)` Establece si el control es de solo lectura param x: true si el control es de solo lectura
`void` | `setStyle(java.lang.String x)` Establece el estilo inline en el tag param x: El estilo
`void` | `setStyleClass(java.lang.String x)` Establece el nombre de la clase (css) param x: el nombre de la clase
`void` | `setTabindex(java.lang.String x)` Establece el índice de tabulación
`void` | `setTitle(java.lang.String x)` Devuelve el titulo del tag

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### BaseXTagWithEvents

    public BaseXTagWithEvents()

Method Detail

### release

    public void release()

  \ | METODOS DE BODYTAG | \

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTag`

### setDisabled

    public void setDisabled(boolean x)

  Establece si el control está deshabilitado param x: true si el control esta deshabilitado

### getDisabled

    public boolean getDisabled()

  Devuelve si el control está deshabilitado

  Returns:
    true si está deshabilitado

### setReadonly

    public void setReadonly(boolean x)

  Establece si el control es de solo lectura param x: true si el control es de solo lectura

### getReadonly

    public boolean getReadonly()

  Devuelve si el control es de solo lectura

### setStyle

    public void setStyle(java.lang.String x)

  Establece el estilo inline en el tag param x: El estilo

### getStyle

    public java.lang.String getStyle()

  Devuelve el estilo inline en el tag

  Returns:

### setStyleClass

    public void setStyleClass(java.lang.String x)

  Establece el nombre de la clase (css) param x: el nombre de la clase

### getStyleClass

    public java.lang.String getStyleClass()

  Devuelve el nombre de la clase (css)

### getTitle

    public java.lang.String getTitle()

  Establece el titulo del tag param x: El titulo del tag

### setTitle

    public void setTitle(java.lang.String x)

  Devuelve el titulo del tag

### setAccesskey

    public void setAccesskey(java.lang.String x)

  Establece la tecla de acceso

### getAccesskey

    public java.lang.String getAccesskey()

  Devuelve la tecla de acceso

### setTabindex

    public void setTabindex(java.lang.String x)

  Establece el índice de tabulación

### getTabindex

    public java.lang.String getTabindex()

  Devuelve el índice de tabulación

### setOnclick

    public void setOnclick(java.lang.String x)

  Establece el manejador del evento onClick param x: La función a ejecutar

### getOnclick

    public java.lang.String getOnclick()

  Devuelve el manejador del evento onClick

### setOndblclick

    public void setOndblclick(java.lang.String x)

  Establece el manejador del evento onDblClick param x: La función a ejecutar

### getOndblclick

    public java.lang.String getOndblclick()

  Devuelve el manejador del evento onDblClick

### setOnmousedown

    public void setOnmousedown(java.lang.String x)

  Establece el manejador del evento onMouseDown param x: La función a ejecutar

### getOnmousedown

    public java.lang.String getOnmousedown()

  Devuelve el manejador del evento onMouseDown

### setOnmouseup

    public void setOnmouseup(java.lang.String x)

  Establece el manejador del evento onMouseUp param x: La función a ejecutar

### getOnmouseup

    public java.lang.String getOnmouseup()

  Devuelve el manejador del evento onMouseUp

### setOnmousemove

    public void setOnmousemove(java.lang.String x)

  Establece el manejador del evento onMouseMove param x: La función a ejecutar

### getOnmousemove

    public java.lang.String getOnmousemove()

  Devuelve el manejador del evento onMouseMove

### setOnmouseover

    public void setOnmouseover(java.lang.String x)

  Establece el manejador del evento onMouseOver param x: La función a ejecutar

### getOnmouseover

    public java.lang.String getOnmouseover()

  Devuelve el manejador del evento onMouseOver

### setOnmouseout

    public void setOnmouseout(java.lang.String x)

  Establece el manejador del evento onMouseOut param x: La función a ejecutar

### getOnmouseout

    public java.lang.String getOnmouseout()

  Devuelve el manejador del evento onMouseOut

### setOnkeydown

    public void setOnkeydown(java.lang.String x)

  Establece el manejador del evento onKeyDown param x: La función a ejecutar

### getOnkeydown

    public java.lang.String getOnkeydown()

  Devuelve el manejador del evento onKeyDown

### setOnkeyup

    public void setOnkeyup(java.lang.String x)

  Establece el manejador del evento onKeyUp param x: La función a ejecutar

### getOnkeyup

    public java.lang.String getOnkeyup()

  Devuelve el manejador del evento onKeyUp

### setOnkeypress

    public void setOnkeypress(java.lang.String x)

  Establece el manejador del evento onKeyPress param x: La función a ejecutar

### getOnkeypress

    public java.lang.String getOnkeypress()

  Devuelve el manejador del evento onKeyPress

### setOnchange

    public void setOnchange(java.lang.String x)

  Establece el manejador del evento onChange param x: La función a ejecutar

### getOnchange

    public java.lang.String getOnchange()

  Devuelve el manejador del evento onChange

### setOnselect

    public void setOnselect(java.lang.String x)

  Establece el manejador del evento onSelect param x: La función a ejecutar

### getOnselect

    public java.lang.String getOnselect()

  Establece el manejador del evento onSelect

### setOnblur

    public void setOnblur(java.lang.String x)

  Establece el manejador del evento onBlur param x: La función a ejecutar

### getOnblur

    public java.lang.String getOnblur()

  Devuelve el manejador del evento onBlur

### setOnfocus

    public void setOnfocus(java.lang.String x)

  Establece el manejador del evento onFocus param x: La función a ejecutar

### getOnfocus

    public java.lang.String getOnfocus()

  Devuelve el manejador del evento onFocus

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD